SCM

[#1011281] Build problem with PostgreSQL 9.2

View Trackers | Bugs | Download .csv | Monitor

Date:
2012-11-23 01:50
Priority:
3
State:
Open
Submitted by:
Artur Litwinowicz (arturl)
Assigned to:
Nobody (None)
Category:
None
Group:
None
Resolution:
Postponed
 
Summary:
Build problem with PostgreSQL 9.2

Detailed description
FreeBSD 9.0 64bit box (installation from port):

# make
===> Extracting for postgresql-pllua-0.3.2
=> SHA256 Checksum OK for pllua-0.3.2.tar.gz.
===> Patching for postgresql-pllua-0.3.2
===> Applying FreeBSD patches for postgresql-pllua-0.3.2
===> postgresql-pllua-0.3.2 depends on executable: gmake - found
===> postgresql-pllua-0.3.2 depends on shared library: pq.5 - found
===> postgresql-pllua-0.3.2 depends on shared library: lua-5.1.1 - found
===> Configuring for postgresql-pllua-0.3.2
===> Building for postgresql-pllua-0.3.2
sed 's,MODULE_PATHNAME,$libdir/pllua,g' pllua.sql.in >pllua.sql
cc -O2 -pipe -O3 -funroll-loops -fno-strict-aliasing -Wall
-Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement
-Wendif-labels -Wmissing-format-attribute -Wformat-security
-fno-strict-aliasing -fwrapv -fPIC -DPIC -I/usr/local/include/lua51 -I.
-I. -I/usr/local/include/postgresql/server
-I/usr/local/include/postgresql/internal -I/usr/local/include/libxml2
-I/usr/local/include -I/usr/local/include -I/usr/local/include -c -o
pllua.o pllua.c
cc -O2 -pipe -O3 -funroll-loops -fno-strict-aliasing -Wall
-Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement
-Wendif-labels -Wmissing-format-attribute -Wformat-security
-fno-strict-aliasing -fwrapv -fPIC -DPIC -I/usr/local/include/lua51 -I.
-I. -I/usr/local/include/postgresql/server
-I/usr/local/include/postgresql/internal -I/usr/local/include/libxml2
-I/usr/local/include -I/usr/local/include -I/usr/local/include -c -o
plluaapi.o plluaapi.c
plluaapi.c: In function 'luaP_preptrigger':
plluaapi.c:245: error: dereferencing pointer to incomplete type
plluaapi.c:252: error: dereferencing pointer to incomplete type
plluaapi.c:253: error: dereferencing pointer to incomplete type
plluaapi.c:264: error: dereferencing pointer to incomplete type
plluaapi.c:265: error: dereferencing pointer to incomplete type
plluaapi.c:267: error: dereferencing pointer to incomplete type
plluaapi.c:268: error: dereferencing pointer to incomplete type
plluaapi.c:272: error: dereferencing pointer to incomplete type
plluaapi.c:273: error: dereferencing pointer to incomplete type
gmake: *** [plluaapi.o] Error 1
*** Error code 1

Stop in /usr/ports/databases/postgresql-pllua.

Followup

Message
Date: 2013-07-01 23:46
Sender: Luis Carvalho

I don't have FreeBSD ports and the patched postgresql-pllua to check this, but it seems that LUAINC and LUALIB in the Makefile are not being set correctly. Can you please try and install without using port? I'd also suggest filing a bug through port.

Attached Files:

Changes:

Field Old Value Date By
ResolutionNone2013-07-01 23:46carvalho
Powered By FusionForge